Page MenuHomePhabricator

RSS/Atom feeds don't respect watchlist preferences or URL query parameters
Closed, ResolvedPublic

Description

Hi!

When I use the RSS feed for watchlist, it shows my own edits even if I set "Hide my edits from the watchlist" in the preferences page.

Helder


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=23804

Details

Reference
bz25325

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz25325.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Sep 26 2010, 4:52 PM

add wlexcludeuser to feedwatchlist

It seems the RSS feed does not take into account ANY of your preferences, but the others can at least be chosen on the url.
This one could be workarounded by exposing wlexcludeuser (see patch) but a hideown parameter to ApiQueryWatchlist would be preferable IMHO.

attachment add wlexcludeuser to feedwatchlist.patch ignored as obsolete

It seems that we also can't hide bot edits (with wlshow=!bot ?)

matthew.britton wrote:

(In reply to comment #1)

This one could be workarounded by exposing wlexcludeuser (see patch) but a
hideown parameter to ApiQueryWatchlist would be preferable IMHO.

Exposing wlexcludeuser does provide the additional feature of hiding a specific user other than yourself (may or may not be of use to people).

smjg wrote:

(In reply to comment #1)

It seems the RSS feed does not take into account ANY of your preferences, but
the others can at least be chosen on the url.

Not working for me, either for the watchlist or where I really want it: recent changes.

It would be nice if the HTML, RSS and Atom versions of RecentChanges, Watchlist et al used the same backend code and so would naturally honour any prefs or URL parameters.

He7d3r added a comment.Jul 5 2011, 9:18 PM

Any updates on this?

Reedy added a comment.Jul 5 2011, 10:21 PM

(In reply to comment #5)

Any updates on this?

I guess not as it's still open

Reedy added a comment.Nov 14 2011, 2:36 PM

Comment on attachment 7706
add wlexcludeuser to feedwatchlist

Applied Platonides' patch in r102987

Reedy added a comment.Nov 14 2011, 2:40 PM

Retitling bug

Presumably all of the following sohuld be respected if they are not currently

	 Expand watchlist to show all changes, not just the most recent
 	 Hide minor edits from the watchlist
 	 Hide bot edits from the watchlist
 	 Hide my edits from the watchlist
 	 Hide edits by anonymous users from the watchlist
 	 Hide edits by logged in users from the watchlist

smjg wrote:

Moreover, adding "feed=rss" or "feed=atom" to the query should not cause the rest of the query parameters not to work.

(In reply to comment #7)

Comment on attachment 7706 [details]
add wlexcludeuser to feedwatchlist

Applied Platonides' patch in r102987

Is this working for someone?

winne2i wrote:

It would be great if this could work li that: http://www.mediawiki.org/wiki/Extension:News#Options

Simple URL parameters like: nobots, nominor…
//But I don't see a parameter for excluding user's changes.

winne2i wrote:

(In reply to comment #10)

(In reply to comment #7)
> Comment on attachment 7706 [details]
> add wlexcludeuser to feedwatchlist
>
> Applied Platonides' patch in r102987

Is this working for someone?

No, that's not working for me – assuming I use it properly:
https://pl.wikipedia.org/w/index.php?title=%C5%9Alina&action=history&feed=atom&wlexcludeuser=EmausBot
…?

Ugh, it was broken because the effect of setting this option was later overwritten in the code.

I just submitted I2a856733 to fix this issue. The rest of the things mentioned in this bug still apply; someone should probably do this similarly to what Platonides' patch does.

I'm taking the liberty of marking this as 'easy'; it doesn't seem to be hard to do, maybe just a little boring :)

merged I2a856733

(Reopening, that was just a partial fix, unless I'm misunderstanding something.)

Bartosz, sorry, yes, it is only fixes the wlexcludeuser

winne2i wrote:

So does the 'wlexcludeuser' work? Not for me, as for now.

w/api.php?action=feedwatchlist&(…)&wlexcludeuser=Kaligula
doesn't exclude my edits from watchlist.

winne2i wrote:

Isn't it similar to Bug 23804 ?

winne2i wrote:

I just submitted Idab489fc017dcf226ea39f2f1766e06064e4ec0a on gerrit, which adds support for 'wlshow' parameter.

'wlshow' parameter allows excluding bots/anon/minor edits from feedwatchlist so I think that would resolve the issue.

Yurik added a comment.Mar 24 2013, 3:22 PM

wlshow patch merged

Related URL: https://gerrit.wikimedia.org/r/59620 (Gerrit Change I6a51e3ee07fe7622b9c708c78563795d7a1118fc)